# wanha - your pesky URL-guardian for IRC
# Copyright (C) 2006-2007 Tommi Saviranta  <wnd@iki.fi>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


package Wanha::Config;

use strict;
use warnings FATAL => 'all';
use diagnostics;


use vars qw($rewrite $lang);
$rewrite = 1;		# Use mod_rewrite
# $lang;		# Forced language

my $db_host;			# Database hostaddress
my $db_port;			# Database port (optional)
my $db_db = "wanha";		# Database name
my $db_user = "wanha";		# Database user (optional)
my $db_pass = "wanha";		# Database password (optional)

use vars qw($bot_pass);
$bot_pass = "wpass";		# Bot command password

use vars qw($base_url);
$base_url = "http://katei.fi/wanha/";	# Web-interface base URL

use vars qw(@irc_servers $irc_pass @irc_chans);
@irc_servers = ( "irc-server" );		# Servers
# $irc_pass;					# Password for IRC
@irc_chans = ( "#wanha" );			# Channels

use vars qw($irc_nick $irc_user $irc_real);
$irc_nick = "url";				# Nickname for IRC
$irc_user = "url";				# Username for IRC
$irc_real = "wanha ($base_url)";		# Realname for IRC

use vars qw($irc_debug);
$irc_debug = 3;				# 1 = in, 2 = out, 4 = debug

use vars qw($cookie_age);
$cookie_age = 30 * 24 * 60 * 60;	# 30 days



=item irc_server
Get IRC server info

0: n
r: list (host, port(, password))
=cut
sub irc_server($) {
	my $i = shift;
	my ($host, $port, $pass) = split(/ /, $irc_servers[$i]);
	$port = 6667 if (! defined($port));
	return ($host, $port, $pass);
}


=item get_db
Get database connect info

r: (host, port, database, user, password) (stuff can be undef)
=cut
sub get_db() {
	return ($db_host, $db_port, $db_db, $db_user, $db_pass);
}



return 1;
